Skip to main content
GET
/
platform
/
appdev
/
apppackages
/
apps
/
{appId}
Error
A valid request URL is required to generate request examples
[
  {
    "appId": "<string>",
    "appKey": "<string>",
    "appSchemeVersion": 123,
    "applicationId": 123,
    "applicationNamespace": "<string>",
    "applicationStatusId": 123,
    "applicationStatusName": "<string>",
    "applicationTypeId": 123,
    "applicationVersion": {
      "majorVersion": 123,
      "minorVersion": 123,
      "revision": 123
    },
    "hasV2Credentials": true,
    "hasVersions": true,
    "name": "<string>",
    "parentAppKey": "<string>",
    "parentName": "<string>",
    "releasePackageId": 123,
    "releasePackageName": "<string>",
    "updateAvailable": true,
    "updateParentAppKey": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

appId
string
required

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

OK

appId
string | null
appKey
string | null

The AppKey is a runtime type.

appSchemeVersion
integer<int32>
applicationId
integer<int32>
applicationNamespace
string | null
applicationStatusId
integer<int32>
applicationStatusName
string | null
applicationTypeId
integer<int32>
applicationVersion
object
hasV2Credentials
boolean

Indicates whether the application has been upgraded to V2 credentials.

hasVersions
boolean
name
string | null
parentAppKey
string | null

The AppKey is a runtime type. This only applies for themes that inherit from another theme.

parentName
string | null
releasePackageId
integer<int32>
releasePackageName
string | null
updateAvailable
boolean
updateParentAppKey
string | null

The AppKey is a runtime type. This only applies for themes that inherit from another theme. It shows the most current update available.